package com.goafanti.order.bo;

import com.goafanti.common.model.TOrderTask;
import com.goafanti.common.utils.excel.Excel;
import com.goafanti.order.enums.NewProjectStatus;

import java.math.BigDecimal;
import java.util.List;

public class TOrderTaskBo extends TOrderTask{
	/**
	 *
	 */
	private static final long serialVersionUID = 1L;
	private String contactsMobile;
	@Excel(name = "合同编号",sort = 9)
	private String cname;
	private Integer cSort;

	@Excel(name = "合同编号",sort = 1)
	private String contractNo;
	@Excel(name = "订单负责人",sort = 4)
	private String salesmanName;
	@Excel(name = "项目负责人",sort = 7)
	private String contacts;
	@Excel(name = "订单部门",sort = 5)
	private String depName;
	@Excel(name = "客户名称",sort = 3)
	private String userName;
	@Excel(name = "订单状态",sort = 6,readConverterExp = "0=待签单，1=签单待审，2=签单审核通过，3=签单审核拒绝，4=已结项，5=已驳回，6=已退单")
	private Integer orderStatus;

	private Integer type;

	private BigDecimal price;

	private BigDecimal appropriationRatio;

	private Integer patentType;
	private String patentTypeName;
	private Integer patentTransfer;
	private String email;
	private String name;

	@Excel(name = "项目状态",sort = 13)
	private String projectStatusName;

	private String	serviceLife;
	private String	serviceYear;
	private String contractTerm;
	private Integer	yearSum;
	private Integer	stopStatus;
	private Integer	stopType;
	private Integer	projectStopStatus;
	private Integer	change;
	private Integer	projectType;

	private String lastYear;
	private BigDecimal lastYearCapital;
	private BigDecimal lastYearIncome;


	public Integer getProjectType() {
		return projectType;
	}

	public void setProjectType(Integer projectType) {
		this.projectType = projectType;
	}

	public Integer getChange() {
		return change;
	}

	public void setChange(Integer change) {
		this.change = change;
	}

	public Integer getStopType() {
		return stopType;
	}

	public void setStopType(Integer stopType) {
		this.stopType = stopType;
	}

	public Integer getProjectStopStatus() {
		return projectStopStatus;
	}

	public void setProjectStopStatus(Integer projectStopStatus) {
		this.projectStopStatus = projectStopStatus;
	}

	public Integer getStopStatus() {
		return stopStatus;
	}

	public void setStopStatus(Integer stopStatus) {
		this.stopStatus = stopStatus;
	}

	public String getLastYear() {
		return lastYear;
	}

	public void setLastYear(String lastYear) {
		this.lastYear = lastYear;
	}

	public BigDecimal getLastYearCapital() {
		return lastYearCapital;
	}

	public void setLastYearCapital(BigDecimal lastYearCapital) {
		this.lastYearCapital = lastYearCapital;
	}

	public BigDecimal getLastYearIncome() {
		return lastYearIncome;
	}

	public void setLastYearIncome(BigDecimal lastYearIncome) {
		this.lastYearIncome = lastYearIncome;
	}

	private List<TOrderTaskListBo> splitList;


	public List<TOrderTaskListBo> getSplitList() {
		return splitList;
	}

	public void setSplitList(List<TOrderTaskListBo> splitList) {
		this.splitList = splitList;
	}

	public String getContractTerm() {
		return contractTerm;
	}

	public void setContractTerm(String contractTerm) {
		this.contractTerm = contractTerm;
	}

	public String getServiceLife() {
		return serviceLife;
	}

	public void setServiceLife(String serviceLife) {
		this.serviceLife = serviceLife;
	}

	public String getServiceYear() {
		return serviceYear;
	}

	public void setServiceYear(String serviceYear) {
		this.serviceYear = serviceYear;
	}

	public Integer getYearSum() {
		return yearSum;
	}

	public void setYearSum(Integer yearSum) {
		this.yearSum = yearSum;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public Integer getPatentTransfer() {
		return patentTransfer;
	}

	public void setPatentTransfer(Integer patentTransfer) {
		this.patentTransfer = patentTransfer;
	}

	public Integer getPatentType() {
		return patentType;
	}

	public void setPatentType(Integer patentType) {
		this.patentType = patentType;
	}

	public String getProjectStatusName() {
		return projectStatusName;
	}

	public void setProjectStatusName(String projectStatusName) {
		this.projectStatusName = projectStatusName;
	}

	public void setProjectStatus(Integer projectStatus) {
		super.setProjectStatus(projectStatus);
		this.projectStatusName=NewProjectStatus.getValueByCode(projectStatus);
	}


	public String getContractNo() {
		return contractNo;
	}
	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}
	public String getSalesmanName() {
		return salesmanName;
	}
	public void setSalesmanName(String salesmanName) {
		this.salesmanName = salesmanName;
	}
	public String getDepName() {
		return depName;
	}
	public void setDepName(String depName) {
		this.depName = depName;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getContacts() {
		return contacts;
	}
	public void setContacts(String contacts) {
		this.contacts = contacts;
	}
	public String getContactsMobile() {
		return contactsMobile;
	}
	public void setContactsMobile(String contactsMobile) {
		this.contactsMobile = contactsMobile;
	}
	public String getCname() {
		return cname;
	}
	public void setCname(String cname) {
		this.cname = cname;
	}
	public Integer getOrderStatus() {
		return orderStatus;
	}
	public void setOrderStatus(Integer orderStatus) {
		this.orderStatus = orderStatus;
	}
	public BigDecimal getPrice() {
		return price;
	}
	public void setPrice(BigDecimal price) {
		this.price = price;
	}
	public Integer getcSort() {
		return cSort;
	}
	public void setcSort(Integer cSort) {
		this.cSort = cSort;
	}
	public BigDecimal getAppropriationRatio() {
		return appropriationRatio;
	}
	public void setAppropriationRatio(BigDecimal appropriationRatio) {
		this.appropriationRatio = appropriationRatio;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}

	public String getPatentTypeName() {
		return patentTypeName;
	}

	public void setPatentTypeName(String patentTypeName) {
		this.patentTypeName = patentTypeName;
	}


	@Override
	public String toString() {
		return "TOrderTaskBo{" +
				"contactsMobile='" + contactsMobile + '\'' +
				", cname='" + cname + '\'' +
				", cSort=" + cSort +
				", contractNo='" + contractNo + '\'' +
				", salesmanName='" + salesmanName + '\'' +
				", contacts='" + contacts + '\'' +
				", depName='" + depName + '\'' +
				", userName='" + userName + '\'' +
				", orderStatus=" + orderStatus +
				", type=" + type +
				", price=" + price +
				", appropriationRatio=" + appropriationRatio +
				", patentType=" + patentType +
				", patentTypeName='" + patentTypeName + '\'' +
				", patentTransfer=" + patentTransfer +
				", email='" + email + '\'' +
				", name='" + name + '\'' +
				", projectStatusName='" + projectStatusName + '\'' +
				", serviceLife='" + serviceLife + '\'' +
				", serviceYear='" + serviceYear + '\'' +
				", contractTerm='" + contractTerm + '\'' +
				", yearSum=" + yearSum +
				", stopStatus=" + stopStatus +
				", stopType=" + stopType +
				", projectStopStatus=" + projectStopStatus +
				", change=" + change +
				", lastYear='" + lastYear + '\'' +
				", lastYearCapital=" + lastYearCapital +
				", lastYearIncome=" + lastYearIncome +
				", splitList=" + splitList +
				'}';
	}
}
